import { ENTITY_FIELD, ID_FIELD, ResourceObject, PrincipalObject, Resource, Principal } from '../interfaces/policy';
export interface EntityOptions {
    name?: string;
    nameField?: string;
    idField?: string;
}
export interface Entity {
    [ENTITY_FIELD]?: string;
    [ID_FIELD]?: string;
}
export declare function isEntity(target: any): target is Entity;
export declare function toDynamicIdentifier(target: object): ResourceObject | PrincipalObject;
export declare function toPlainDynamicIdentifier(target: object): Resource | Principal;
export declare function Entity(options?: EntityOptions): ClassDecorator;
