"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Firewall = void 0;
const common_1 = require("@nestjs/common");
const action_1 = require("./action");
const resource_1 = require("./resource");
const principal_1 = require("./principal");
function Firewall(options = {}) {
    return common_1.applyDecorators(action_1.Action(options.action), principal_1.Principal(options.principal), ...(options.resource ? [resource_1.Resource(options.resource)] : []));
}
exports.Firewall = Firewall;
