"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Principal = exports.extractDynamicIdentifier = void 0;
const constants_1 = require("./constants");
const helper_1 = require("./helper");
exports.extractDynamicIdentifier = helper_1.dynamicIdentifierExtractor(constants_1.PRINCIPAL_META_FIELD);
function Principal(principal) {
    return (target, key, descriptor) => {
        Reflect.defineMetadata(constants_1.PRINCIPAL_META_FIELD, principal || constants_1.REQUEST_USER, descriptor.value);
        return descriptor;
    };
}
exports.Principal = Principal;
