"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Resource = exports.extractDynamicIdentifier = void 0;
const constants_1 = require("./constants");
const helper_1 = require("./helper");
exports.extractDynamicIdentifier = helper_1.dynamicIdentifierExtractor(constants_1.RESOURCE_META_FIELD);
function Resource(resource) {
    return (target, key, descriptor) => {
        Reflect.defineMetadata(constants_1.RESOURCE_META_FIELD, resource, descriptor.value);
        return descriptor;
    };
}
exports.Resource = Resource;
