import { PolicyStorage } from './policy-storage';
import { PolicyInterface } from './policy';
import { Cache } from '../storages/cache/cache.interface';
import { CachedStorageOptions } from '../storages/cached.storage';
export interface Options {
    storage: string | PolicyStorage;
    storageRepository?: any;
    cache?: string | Cache;
    cacheClient?: any;
    cacheOptions?: CachedStorageOptions;
    strict?: boolean;
    policies?: Array<string | PolicyInterface>;
}
