import { PrincipalObject } from '../interfaces/policy';
import { PolicyStorage } from '../interfaces/policy-storage';
import { PolicyInterface } from '../interfaces/policy';
export declare class MultipleStorage implements PolicyStorage {
    storages: Array<PolicyStorage>;
    readonly readonly: boolean;
    constructor(storages?: Array<PolicyStorage>);
    fetch(principal: PrincipalObject): Promise<Array<string | PolicyInterface>>;
    save(principal: PrincipalObject, rawPolicies: Array<string | PolicyInterface>): Promise<number>;
    add(principal: PrincipalObject, rawPolicies: Array<string | PolicyInterface>): Promise<number>;
    purge(principal: PrincipalObject): Promise<number>;
}
