"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WrongPolicyPropFormat = void 0;
const iacry_error_1 = require("./iacry.error");
const policy_1 = require("../interfaces/policy");
class WrongPolicyPropFormat extends iacry_error_1.BaseError {
    constructor(policy, prop, formatVector) {
        super(`Wrong policy property format for ${prop}\nExpected: "${formatVector.join(policy_1.DELIMITER)}"\nFrom: ${JSON.stringify(policy)}`);
    }
}
exports.WrongPolicyPropFormat = WrongPolicyPropFormat;
