"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Effect = exports.OR = exports.NEGATION = exports.DELIMITER = exports.REQUIRED_PROPS = exports.DYNAMIC_IDENTIFIER_PROPS_MAPPING = exports.DYNAMIC_IDENTIFIER_PROPS = exports.ID_FIELD = exports.ENTITY_FIELD = exports.PRINCIPAL = exports.RESOURCE = exports.EFFECT = exports.ACTION = exports.SID = void 0;
exports.SID = 'Sid';
exports.ACTION = 'Action';
exports.EFFECT = 'Effect';
exports.RESOURCE = 'Resource';
exports.PRINCIPAL = 'Principal';
exports.ENTITY_FIELD = 'entity';
exports.ID_FIELD = 'id';
exports.DYNAMIC_IDENTIFIER_PROPS = [exports.ACTION, exports.RESOURCE, exports.PRINCIPAL];
exports.DYNAMIC_IDENTIFIER_PROPS_MAPPING = {
    [exports.ACTION]: ['service', 'action'],
    [exports.RESOURCE]: [exports.ENTITY_FIELD, exports.ID_FIELD],
    [exports.PRINCIPAL]: [exports.ENTITY_FIELD, exports.ID_FIELD],
};
exports.REQUIRED_PROPS = [exports.EFFECT, exports.ACTION];
exports.DELIMITER = ':';
exports.NEGATION = '!';
exports.OR = '|';
var Effect;
(function (Effect) {
    Effect["ALLOW"] = "Allow";
    Effect["DENY"] = "Deny";
})(Effect = exports.Effect || (exports.Effect = {}));
