import { Cache } from './cache.interface';
import * as IORedis from 'ioredis';
export declare class IoRedis implements Cache {
    readonly client: IORedis.Redis;
    private readonly SUCCESS;
    private readonly EXPIRE;
    constructor(client: IORedis.Redis);
    set(key: string, value: string, expire?: number): Promise<boolean>;
    has(key: string): Promise<boolean>;
    get(key: string): Promise<string>;
    remove(key: string): Promise<boolean>;
}
