import { PrincipalObject } from '../interfaces/policy';
import { PolicyStorage } from '../interfaces/policy-storage';
import { PolicyInterface } from '../interfaces/policy';
export declare class HardcodedMemoryStorage implements PolicyStorage {
    readonly policies: (string | PolicyInterface)[];
    readonly readonly: boolean;
    constructor(policies?: (string | PolicyInterface)[]);
    fetch(_principal: PrincipalObject): Promise<Array<string | PolicyInterface>>;
    save(_principal: PrincipalObject, _rawPolicies: Array<string | PolicyInterface>): Promise<number>;
    add(_principal: PrincipalObject, _rawPolicies: Array<string | PolicyInterface>): Promise<number>;
    purge(_principal: PrincipalObject): Promise<number>;
    private disallowedException;
}
